<div class="hero is-small teo-wallet">
  <div class="hero-body">
    <div class="container">
      <div class="columns has-ptb-8">
        <div class="column is-offset-1 is-5">
          <h2 class="title">Withdraw</h2>
          <p class="wallet-info-item">Address: 0x349ddfsdfsdf9</p>
          <p class="wallet-info-item">Total balance: 400 TEO</p>
          <p class="wallet-info-item">In-order: 400 TEO</p>
          <p class="wallet-info-item">Available balance: 400 TEO</p>
          <br />
          <div class="field">
            <button [routerLink]="['/desktop/wallet']" class="button is-primary is-outlined has-gap">Balance</button>
            <button [routerLink]="['//deposit']" class="button is-primary is-outlined has-gap">Deposit</button>
          </div>
        </div>
        <div class="column is-5">
          <div class="card">
            <div class="card-content">
              <withdraw-form (onFinishForm)="onSubmitForm()"></withdraw-form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <confirm-withdraw-request-modal
    [visible]="confirmWithdrawRequestVisible"
    (onClose)="closeConfirmWithdrawRequestModal()"
  ></confirm-withdraw-request-modal>
</div>

<div class="hero is-small">
  <div class="hero-body">
    <div class="container">
      <div class="columns">
        <div class="column is-offset-1 is-5">
          <div class="field">
            <label class="label">Recent Withdraw History</label>
          </div>
        </div>
      </div>
      <div class="columns">
        <div class="column is-offset-1 is-10">
          <table class="table is-fullwidth">
            <thead>
              <tr>
                <th>Status</th>
                <th>Amount</th>
                <th>Coin</th>
                <th>Date</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let history of histories">
                <td>{{ history.status }}</td>
                <td>{{ history.amount }}</td>
                <td>{{ history.coin }}</td>
                <td>{{ history.createdAt | date: 'yyyy MMM dd, hh:mm:ss' }}</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
